Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo User (http://www.linux-archive.org/gentoo-user/)
-   -   emerge --update - why doesn't it update my kde packages (http://www.linux-archive.org/gentoo-user/366090-emerge-update-why-doesnt-update-my-kde-packages.html)

Paul Hartman 05-04-2010 04:19 PM

emerge --update - why doesn't it update my kde packages
 
On Tue, May 4, 2010 at 3:57 AM, Helmut Jarausch
<jarausch@igpm.rwth-aachen.de> wrote:
> Hi,
> the following situation puzzles me a lot.
>
> My 'standard' way of updating is
> emerge --keep-going -j4 -1 --ask --update --newuse --deep --tree @system @world
>
> but it didn't update anything.
>
> Still, eix confirmed there were quite a lot of kde packages which have
> newer versions, and indeed,
> emerge -auv1 -j4 --keep-going $(qlist -IC kde-base/)
> upgraded 24 packages.
>
> Where does this discrepancy come from?

Are they in your world, or depended upon by something in your world?

In other words, if you "emerge --ask --depclean" does it want to
remove those packages?

KH 05-04-2010 04:29 PM

emerge --update - why doesn't it update my kde packages
 
Am 04.05.2010 18:19, schrieb Paul Hartman:

On Tue, May 4, 2010 at 3:57 AM, Helmut Jarausch
<jarausch@igpm.rwth-aachen.de> wrote:

Hi,
the following situation puzzles me a lot.

My 'standard' way of updating is
emerge --keep-going -j4 -1 --ask --update --newuse --deep --tree @system @world

but it didn't update anything.

Still, eix confirmed there were quite a lot of kde packages which have
newer versions, and indeed,
emerge -auv1 -j4 --keep-going $(qlist -IC kde-base/)
upgraded 24 packages.

Where does this discrepancy come from?


Are they in your world, or depended upon by something in your world?

In other words, if you "emerge --ask --depclean" does it want to
remove those packages?



Hi,

do you see the diff in here:


emerge -av --depclean

>>> These are the packages that would be unmerged:

sys-kernel/gentoo-sources
selected: 2.6.31-r10
protected: none
omitted: 2.6.30-r5 2.6.32-r7

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Would you like to unmerge these packages? [Yes/No] n

Quitting.

Packages installed: 847
Packages in world: 139
Packages in system: 50
Required packages: 846
Number to remove: 1


and


emerge -av --depclean --with-bdeps n

>>> These are the packages that would be unmerged:

dev-util/cmake
selected: 2.6.4-r3
protected: none
omitted: none

app-arch/rpm2targz
selected: 9.0.0.3g
protected: none
omitted: none

x11-proto/xf86bigfontproto
selected: 1.2.0
protected: none
omitted: none

dev-java/javacc
selected: 4.0-r4
protected: none
omitted: none

[...]

perl-core/Compress-Raw-Zlib
selected: 2.021
protected: none
omitted: none

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Would you like to unmerge these packages? [Yes/No] n

Quitting.

Packages installed: 847
Packages in world: 139
Packages in system: 50
Required packages: 774
Number to remove: 73




And the other way round

emerge -Duav world

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 kB

Nothing to merge; would you like to auto-clean packages? [Yes/No] n

Quitting.



emerge -Duav --with-bdeps y world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] dev-perl/yaml-0.71 [0.68] 111 kB
[ebuild U ] app-arch/cabextract-1.2-r1 [1.2] USE="-extra-tools%" 190 kB
[ebuild U ] dev-perl/Archive-Zip-1.30 [1.20] 193 kB
[ebuild U ] perl-core/ExtUtils-ParseXS-2.22.03 [2.20.0401] 40 kB
[ebuild U ] virtual/perl-ExtUtils-ParseXS-2.22.03 [2.20.0401] 0 kB

Total: 5 packages (5 upgrades), Size of downloads: 533 kB

Would you like to merge these packages? [Yes/No] n

Quitting.



This is normal and expected behavior

kh


All times are GMT. The time now is 04:23 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.